package cn.com.poc.thirdparty.resource.text_in.entity.doc_flow.fileFetchResponse;

import java.util.List;

public class SubFileDetailInfo {
    /**
     * 批次编号
     */
    private String batchNumber;
    /**
     * 文件类别
     */
    private String category;
    /**
     * 处理结果
     */
    private ChildFileData data;
    private Document document;
    /**
     * 文件格式
     */
    private String format;
    /**
     * 切图结果在原文件中的坐标位置
     */
    private List<Long> fromParentPositionList;
    /**
     * 文件ID
     */
    private String id;
    /**
     * 文件名
     */
    private String name;
    /**
     * 文件每页用于渲染的数据。
     * 配合`data.fields`中的`page`和`position`字段，可以准确画出字段在页面上的位置。
     */
    private List<ChildFilePage> pages;
    /**
     * 父任务ID（不为0时有意义）
     */
    private String parentTaskid;
    private Long recognitionStatus;
    /**
     * 任务ID
     */
    private String taskid;
    /**
     * 任务类型（0：文件拆分子任务、1:普通任务、2:父任务、3:切图子任务）
     */
    private Long taskType;
    private Long verificationStatus;

    public String getBatchNumber() { return batchNumber; }
    public void setBatchNumber(String value) { this.batchNumber = value; }

    public String getCategory() { return category; }
    public void setCategory(String value) { this.category = value; }

    public ChildFileData getData() { return data; }
    public void setData(ChildFileData value) { this.data = value; }

    public Document getDocument() { return document; }
    public void setDocument(Document value) { this.document = value; }

    public String getFormat() { return format; }
    public void setFormat(String value) { this.format = value; }

    public List<Long> getFromParentPositionList() { return fromParentPositionList; }
    public void setFromParentPositionList(List<Long> value) { this.fromParentPositionList = value; }

    public String getid() { return id; }
    public void setid(String value) { this.id = value; }

    public String getName() { return name; }
    public void setName(String value) { this.name = value; }

    public List<ChildFilePage> getPages() { return pages; }
    public void setPages(List<ChildFilePage> value) { this.pages = value; }

    public String getParentTaskid() { return parentTaskid; }
    public void setParentTaskid(String value) { this.parentTaskid = value; }

    public Long getRecognitionStatus() { return recognitionStatus; }
    public void setRecognitionStatus(Long value) { this.recognitionStatus = value; }

    public String getTaskid() { return taskid; }
    public void setTaskid(String value) { this.taskid = value; }

    public Long getTaskType() { return taskType; }
    public void setTaskType(Long value) { this.taskType = value; }

    public Long getVerificationStatus() { return verificationStatus; }
    public void setVerificationStatus(Long value) { this.verificationStatus = value; }
}